DWQE(4)

NAME
dwqe - Synopsys DesignWare Ethernet Quality-of-Service Controller

SYNOPSIS
dwqe* at fdt?

DESCRIPTION
The dwqe driver provides support for various Ethernet controllers based on the Synopsys DesignWare Ethernet Quality-of-Service Controller IP. These controllers are found on Rockchip RK3566, RK3568, and RK3588 SoCs.

The dwqe driver supports several media types, which are selected via the ifconfig(8) command. The supported media types are:

media autoselect
    Attempt to autoselect the media type (default)

media 1000baseT mediaopt full-duplex
    Use 1000baseT on copper, full duplex

media 1000baseT mediaopt half-duplex
    Use 1000baseT on copper, half duplex

media 100baseTX mediaopt full-duplex
    Use 100baseTX, full duplex

media 100baseTX mediaopt half-duplex
    Use 100baseTX, half duplex

SEE ALSO
arp(4), ifmedia(4), inet(4), intro(4), netintro(4), hostname.if(5), ifconfig(8)

HISTORY
OpenBSD support for dwqe first appeared in OpenBSD 7.3.